<?
/**
 *
 * Copyright 2005-2006 The Apache Software Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * Simple error handler that logs everything to the error log file 
 * and termintes script on error
 */  
function error_handler($errno, $errstr, $errfile, $errline) {
  error_log("$errfile($errline): $errstr");
  if ($errno == E_USER_ERROR) {
    exit();
  }
}

set_error_handler("error_handler");

require_once 'Stomp.php';

//example of failover transport configuration
$c = new StompConnection('failover://(tcp://s1.example.com:61613,tcp://s2.example.com:61613)?randomize=false');
$result = $c->connect();

if ($result == null || $result->command != 'CONNECTED')
  trigger_error("Client not connected", E_USER_ERROR);
  
$msg = new MapMessage(array("key1"=>"value1", "key2"=>"value2"));  
  
$c->send("/queue/test", $msg);

$c->disconnect();

?>
